﻿using SecuritySystemDatabaseImplement.Models;
using Microsoft.EntityFrameworkCore;

namespace SecuritySystemDatabaseImplement
{
    public class SecuritySystemDatabase : DbContext
    {
        protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
        {
            if (optionsBuilder.IsConfigured == false)
            {
                optionsBuilder.UseNpgsql(@"Host=localhost;Port=5432;Database=SecuritySystemDatabaseFull5;Username=postgres;Password=1953");
            }
            base.OnConfiguring(optionsBuilder);
        }
        public virtual DbSet<Component> Components { set; get; }
        public virtual DbSet<Secure> Secures { set; get; }
        public virtual DbSet<SecureComponent> SecureComponents { set; get; }
        public virtual DbSet<Order> Orders { set; get; }
        public virtual DbSet<Client> Clients { set; get; }

    }
}
